// nova-shop/pages/home/home.js
const Parse = getApp().Parse;
var util = require("../../../utils/util");
Page({
    /**
     * 页面的初始数据
     */
    data: {
        tabbarList: [],
        activeTab: 0,
        page: null,
        options: null
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: async function (options) {
        console.log(options)
        await this.getDiyPage(options.id);
        this.setData({
            options: options
        })
        
    },

    // 加载页面数据
    async getDiyPage(id) {
        let query = new Parse.Query("DiyPage");
        let page = await query.get(id);
        console.log(page);
        this.setData({ page: page.toJSON() })
    },

    





    
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})